# $Revision: 1.59 $, $Date: 2010/01/28 20:50:01 $
# TODO gettext support
Summary:	DILLO - The GTK+ Web Browser
Summary(pl.UTF-8):	DILLO - przeglądarka WWW
Name:		dillo
Version:	0.8.6
Release:	5
License:	GPL
Group:		X11/Applications/Networking
Source0:	http://www.dillo.org/download/%{name}-%{version}.tar.bz2
# Source0-md5:	b65233d368bbd265a55effcf2c17f84b
Source1:	%{name}.desktop
Source2:	%{name}.png
Patch0:		%{name}-gzip_fallback.patch
Patch1:		%{name}-0.7.0-alt-asp-charset-encodings-sysconfdir.patch
Patch2:		%{name}-ac.patch
Patch3:		%{name}-libpng.patch
URL:		http://www.dillo.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gtk+-devel >= 1.2.0
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel >= 1.0.9
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/dillo

%description
Dillo is a small GTK+ based (GNOME is NOT required!) web browser.
Dillo aims to be a multi-platform browser alternative that's small,
stable, developer-friendly, usable, fast, and extensible.

%description -l pl.UTF-8
Dillo jest małą, opartą na bibliotece GTK+ (GNOME nie jest wymagany)
przeglądarką WWW. Dillo ma być wieloplatformową alternatywną
przeglądarką, która jest mała, stabilna, przyjazna dla developerów,
użyteczna, szybka i rozszerzalna.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--enable-cookies \
	--enable-ipv6 \
	--disable-dlgui
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir},%{_sysconfdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}
install encodings  $RPM_BUILD_ROOT%{_sysconfdir}

#%%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

#%%files -f %{name}.lang
%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog dillorc encodings doc/{*.txt,README}
%attr(755,root,root) %{_bindir}/*
%{_desktopdir}/*.desktop
%{_pixmapsdir}/*
%dir %{_libdir}/dillo
%attr(755,root,root) %{_libdir}/dillo/*
%dir %{_sysconfdir}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: dillo.spec,v $
Revision 1.59  2010/01/28 20:50:01  arekm
- rel 5; libpng fix

Revision 1.58  2010/01/28 19:57:03  arekm
- release 4

Revision 1.57  2009/07/12 13:19:39  arekm
- release 3

Revision 1.56  2008/07/10 16:40:11  megabajt
- added -ac.patch to fix build
- release 2

Revision 1.55  2008/05/02 10:41:54  glen
- release 1 (for claws-mail)

Revision 1.54  2007-02-12 21:23:53  glen
- tabs in preamble

Revision 1.53  2007/02/12 00:48:45  baggins
- converted to UTF-8

Revision 1.52  2006/11/07 22:23:36  glen
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

Revision 1.51  2006/08/20 18:50:42  hawk
- updated to 0.8.6

Revision 1.50  2005/12/12 15:19:32  glen
- adapterized (sorted %verify flags)

Revision 1.49  2005/06/27 00:48:28  undefine
- up to 0.8.5

Revision 1.48  2005/01/23 00:23:49  qboosh
- up to 0.8.4, updated patches

Revision 1.47  2004/11/03 23:06:37  qboosh
- rewritten gzip_fallback patch for current dillo
  (however, I'm not sure if this is wanted behaviour - maybe should be
   configurable...)

Revision 1.46  2004/11/03 22:29:19  ankry
- cosmetics

Revision 1.45  2004/11/01 17:57:18  adamg
- updated to 0.8.3
- gzip_fallback patch needs review & update (too much changes in code)
- release 0.1

Revision 1.44  2004/10/30 11:40:07  qboosh
- pl unification

Revision 1.43  2004/10/28 09:58:30  paladine
- "GTK+" unification (hope thats all)

Revision 1.42  2004/07/21 20:26:08  luzik
 - updated to 0.8.2 [patches too]

Revision 1.41  2004/06/19 15:40:22  undefine
- update to 0.8.1

Revision 1.40  2004/03/07 23:48:02  adamg
- better description

Revision 1.39  2004/03/07 23:39:10  andree
- applnkdir -> desktopdir, files fixes
- updated to 0.8.0

Revision 1.38  2003/11/11 01:12:29  ankry
- caps unification

Revision 1.37  2003/08/18 08:08:00  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.36  2003/08/08 12:51:32  grzegol
- updated to 0.7.2
- changed URL

Revision 1.35  2003/07/08 00:05:11  blues
- second part of small fixes inspired by kloczek (this time better checked,
  I hope...)

Revision 1.34  2003/05/26 16:24:53  malekith
- massive attack: adding Source-md5

Revision 1.33  2003/05/25 05:46:49  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.32  2003/05/04 19:22:17  kloczek
- release 1: build with --enable-ipv6.

Revision 1.31  2003/05/04 12:18:42  misi3k
- updated to 0.7.2
- switched source to bz2

Revision 1.30  2003/03/14 20:21:29  qboosh
- added missing dir (/etc/dillo)
- release back to 0.9 (functionality loss since 0.6.6 - gettext patch)

Revision 1.29  2003/03/11 18:21:52  misi3k
- updated to 0.7.1.2

Revision 1.28  2003/03/10 18:26:43  kloczek
- updated to 0.7.1,
- removed outdated patches,
- added dillo bookmark server executable to %files.

Revision 1.27  2003/03/03 09:09:04  juandon
- update to 0.7.0
- changed URL
- fixed gzip_fallback.patch
- added alt-asp-charset-encoding-sysconfdir.patch
- both patches submitted by Alexey Tourbin <at@altlinux.org>
- commented out obsolete patches and gettext support
- Release 0.5

Revision 1.26  2003/01/18 22:46:44  juandon
- removed two lines with define

Revision 1.25  2002/10/09 13:14:20  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.24  2002/07/06 21:05:33  qboosh
- added missing LC_MESSAGES files and localedir patch - now locales work
- release 5

Revision 1.23  2002/07/05 22:15:20  grzegol
- added two patches:
  * make new config option - font_charset
	* add new menu item - encoding selection
- added --enable-cookies configure option
- "libpng support" hack is no needed any more (I hope :)
- added sample encodings config file to docs
- rel. 4
STBR

Revision 1.22  2002/07/04 18:45:08  blues
- release 3
- gettext patch by Maciej Arciuch <macara@supermedia.pl>

Revision 1.21  2002/07/03 12:53:07  juandon
- added gzip_fallback patch
- Release 2

Revision 1.20  2002/06/02 19:14:04  grzegol
- updated to 0.6.6
- new %%doc
STBR

Revision 1.19  2002/05/21 23:12:56  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.18  2002/04/28 09:43:08  qboosh
- libpng 1.2.2 support

Revision 1.17  2002/04/27 19:37:42  grzegol
- updated to 0.6.5
- added sample config file to docdir
- changed to new URL
STBR

Revision 1.16  2002/04/25 16:12:04  arturs
fixed a small typo

Revision 1.15  2002/03/24 23:28:15  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.14  2002/02/22 23:28:48  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.13  2002/01/31 22:33:46  kloczek
- updated to 0.6.4 (mprovemnts and bugfixes).

Revision 1.12  2002/01/18 02:12:42  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.11  2002/01/03 09:12:15  kloczek
- updated to 0.6.3 (improvements and bug fixes).

Revision 1.10  2001/10/19 12:11:29  kloczek
- updated to 0.6.2.

Revision 1.9  2001/09/18 23:15:41  kloczek
- release 2,
- fixed desktop file (tahnks to Maciej Arciuch <macara@supermedia.pl>),
- added png Icon for desktop file based on
  http://dillo.sourceforge.net/logos/icon3.png

Revision 1.8  2001/09/18 08:36:04  qboosh
- 0.6.1

Revision 1.7  2001/08/04 19:34:36  qboosh
- 0.6.0

Revision 1.6  2001/07/19 22:48:48  kloczek
- added URL,
- added desktop file for dillo,
- regenerate ac/am files (spec is now ac 2.5x ready).

Revision 1.5  2001/07/07 19:13:06  qboosh
- 0.5.1
- gzip doc

Revision 1.4  2001/03/08 06:05:12  kloczek
- updated to 0.4.0,
- removed outdated RPM_OPT_FLAGS patch,
- more rpm macros and added DESTDIR style %install.

Revision 1.3  2001/02/23 10:46:37  cieciwa
- added patch for RPM_OPT_FLAGS.
stb

Revision 1.2  2001/02/23 10:20:42  cieciwa
- typo in %%Source

Revision 1.1  2001/02/23 10:19:20  cieciwa
- initial version.
